using DataSharing.Share.Dtos.Province.XieTong.Send;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class GetVisitInfoReceiveInfoValidator : AbstractValidator<GetVisitInfoReceiveInfo>
    {
        public GetVisitInfoReceiveInfoValidator()
        {
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.VisitType).NotEmpty();
            RuleFor(d => d.VisitName).NotEmpty();
            RuleFor(d => d.VisitTime).NotEmpty();
            RuleFor(d => d.VisitRemark).NotEmpty();
            RuleFor(d => d.SubjectResultSatify).NotEmpty();
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
        }
    }
}
